#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum EStreamingDataType {
    AudioData = 0,
    VideoData = 1,
    MicrophoneData = 2,
    OBSOLETE = 3,
}

impl EStreamingDataType {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::AudioData as i32 => Some(Self::AudioData),
            x if x == Self::VideoData as i32 => Some(Self::VideoData),
            x if x == Self::MicrophoneData as i32 => Some(Self::MicrophoneData),
            x if x == Self::OBSOLETE as i32 => Some(Self::OBSOLETE),
            _ => None,
        }
    }
}
